'use strict';

var coreBrowser = require('./core-browser.js');
var core = require('./core.js');
var metaHelper = require('./meta-helper.js');
require('ajv');
require('./elements.js');
require('@sidvind/better-ajv-errors');
require('./utils/natural-join.js');
require('node:fs');
require('kleur');
require('@html-validate/stylish');
require('semver');



exports.compatibilityCheck = coreBrowser.compatibilityCheck;
exports.Attribute = core.Attribute;
exports.Config = core.Config;
exports.ConfigError = core.ConfigError;
exports.ConfigLoader = core.ConfigLoader;
exports.DOMNode = core.DOMNode;
exports.DOMTokenList = core.DOMTokenList;
exports.DOMTree = core.DOMTree;
exports.DynamicValue = core.DynamicValue;
exports.EventHandler = core.EventHandler;
exports.HtmlElement = core.HtmlElement;
exports.HtmlValidate = core.HtmlValidate;
exports.MetaCopyableProperty = core.MetaCopyableProperty;
exports.MetaTable = core.MetaTable;
exports.NestedError = core.NestedError;
exports.NodeClosed = core.NodeClosed;
exports.NodeType = core.NodeType;
exports.Parser = core.Parser;
exports.Reporter = core.Reporter;
exports.ResolvedConfig = core.ResolvedConfig;
exports.Rule = core.Rule;
exports.SchemaValidationError = core.SchemaValidationError;
exports.Severity = core.Severity;
exports.StaticConfigLoader = core.StaticConfigLoader;
exports.TextClassification = core.TextClassification;
exports.TextContent = core.TextContent;
exports.TextNode = core.TextNode;
exports.UserError = core.UserError;
exports.Validator = core.Validator;
exports.WrappedError = core.WrappedError;
exports.ariaNaming = core.ariaNaming;
exports.classifyNodeText = core.classifyNodeText;
exports.configPresets = core.presets;
exports.defineConfig = core.defineConfig;
exports.definePlugin = core.definePlugin;
exports.keywordPatternMatcher = core.keywordPatternMatcher;
exports.ruleExists = core.ruleExists;
exports.sliceLocation = core.sliceLocation;
exports.staticResolver = core.staticResolver;
exports.version = core.version;
exports.walk = core.walk;
exports.defineMetadata = metaHelper.defineMetadata;
exports.metadataHelper = metaHelper.metadataHelper;
//# sourceMappingURL=browser.js.map
